Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.commons.core.v1
Class CountryType

    java.lang.Object
      be.fgov.ehealth.commons.core.v1.CountryType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-10-28T03:09:04+02:00",
               comments="JAXB RI v2.2.6")
    public class CountryType

extends Object
implements Serializable

code, abbreviation and Localized name for country.

Java class for CountryType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CountryType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Code" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Abbreviation" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Description" type="{urn:be:fgov:ehealth:commons:core:v1}LocalisedString" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`CountryType()`

Method Summary
`String` | `getAbbreviation()` Gets the value of the abbreviation property.
`String` | `getCode()` Gets the value of the code property.
`List<LocalisedString>` | `getDescriptions()` Gets the value of the descriptions property.
`void` | `setAbbreviation(String value)` Sets the value of the abbreviation property.
`void` | `setCode(String value)` Sets the value of the code property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CountryType

    public CountryType()

Method Detail

### getCode

    public String getCode()

  Gets the value of the code property.

  Returns:
    possible object is `String`

### setCode

    public void setCode(String value)

  Sets the value of the code property.

  Parameters:
    `value` - allowed object is `String`

### getAbbreviation

    public String getAbbreviation()

  Gets the value of the abbreviation property.

  Returns:
    possible object is `String`

### setAbbreviation

    public void setAbbreviation(String value)

  Sets the value of the abbreviation property.

  Parameters:
    `value` - allowed object is `String`

### getDescriptions

    public List<LocalisedString> getDescriptions()

  Gets the value of the descriptions property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the descriptions property.

  For example, to add a new item, do as follows:

          getDescriptions().add(newItem);

  Objects of the following type(s) are allowed in the list `LocalisedString`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSLOGOPEDIST 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.